Bug 1709626 - [3.11.z] Kubernetes Pod Template is randomly removed
Summary: [3.11.z] Kubernetes Pod Template is randomly removed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.11.z
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks: 1711334 1711340
TreeView+ depends on / blocked
 
Reported: 2019-05-14 02:14 UTC by Fatima
Modified: 2019-06-26 09:08 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The OpenShift Jenkins Sync plugin confused ImageStreams and ConfigMaps with the same name when processing them for Jenkins k8s plugin PodTemplates Consequence: An event for one type could delete the pod template created from another type Fix: The OpenShift Jenkins Sync plugin was modified to keep track of which api object type created the pod template of a given name. Result: Jenkins k8s plugin PodTemplates created by the OpenShift Sync Plugin's mapping from ConfigMap/ImageStreams are not inadvertently deleted when two types with the same name exist in the cluster.
Clone Of:
: 1711334 (view as bug list)
Environment:
Last Closed: 2019-06-26 09:08:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1605 None None None 2019-06-26 09:08:20 UTC

Description Fatima 2019-05-14 02:14:50 UTC
Description of problem:

Opened against https://github.com/openshift/jenkins-sync-plugin/issues/307

Comment 3 Gabe Montero 2019-05-14 13:51:10 UTC
I should have the PR up later today

When that merges, I'll cut a new version of the sync plugin which based on the exchanges in
https://github.com/openshift/jenkins-sync-plugin/issues/307 Everett should be able to apply
in the customer env.

The process of cutting new openshift-jenkins images and errata / zstream will start in 
parallel once the new version of the sync plugin is cut.

Comment 4 Gabe Montero 2019-05-14 19:27:29 UTC
PR https://github.com/openshift/jenkins-sync-plugin/pull/308 contains the proposed fix and is up for review

Comment 5 Adam Kaplan 2019-05-15 18:59:09 UTC
Updating target release to v4.2.0

Comment 6 Adam Kaplan 2019-05-15 19:01:06 UTC
@gmontero please clone this BZ if we backport the plugin fix to the 4.1.z and/or 3.11.z Jenkins images.

Comment 7 Gabe Montero 2019-05-16 18:07:23 UTC
PR https://github.com/openshift/jenkins/pull/853 to update the image with v1.0.37 of the sync plugin is up

Comment 9 Gabe Montero 2019-05-17 14:21:28 UTC
PR https://github.com/openshift/jenkins/pull/855 updates the upstream 3.11 branch to v1.0.37 of the sync plugin

Comment 11 Gabe Montero 2019-06-10 14:20:08 UTC
looks like we have new images on brew for this

Comment 12 Gabe Montero 2019-06-10 14:20:24 UTC
looks like we have new images on brew for this

Comment 14 XiuJuan Wang 2019-06-12 05:17:54 UTC
The created Kubernetes Pod Template using the ConfigMap style will not removed more than a dozen hours.
openshift3/jenkins-2-rhel7:v3.11 (v3.11.117 47da6bb652f4) 
with openshift-sync : 1.0.37 installed

Comment 16 errata-xmlrpc 2019-06-26 09:08:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1605


Note You need to log in before you can comment on or make changes to this bug.